%{
/*
 * lex_config.l v$Revision: 1.7 $: $Date: 1994/06/21 07:24:17 $ (David Hinds)\n"
 */

#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "cs_types.h"
#include "cs.h"

#include "y.tab.h"

int config_lineno = 1;

int lex_number(char *s);
int lex_string(char *s);

%}

int	[0-9]+
hex	0x[0-9a-fA-F]+
str	\"([^"]|\\.)*\"

%%

\n		config_lineno++;
[ \t]*		/* skip */ ;
[ ]*[#;].*	/* skip */ ;

card		return CARD;
device		return DEVICE;
tuple		return TUPLE;
version		return VERSION;
bind		return BIND;
module		return MODULE;
start		return START;
stop		return STOP;
include		return INCLUDE;
exclude		return EXCLUDE;
reserve		return RESERVE;
irq		return IRQ_NO;
port		return PORT;
memory		return MEMORY;

{int}		return lex_number(yytext);

{hex}		return lex_number(yytext);

{str}		return lex_string(yytext);

.		return yytext[0];

%%

int yywrap() { return 1; }

int lex_number(char *s)
{
    yylval.num = strtol(s, NULL, 0);
    return NUMBER;
}

int lex_string(char *s)
{
    int n = strlen(s);
    yylval.str = malloc(n-1);
    strncpy(yylval.str, s+1, n-2);
    yylval.str[n-2] = '\0';
    return STRING;
}
