/*
 * cistpl.h v$Revision: 1.4 $: $Date: 1994/06/22 05:53:20 $ (David Hinds)
 */

#ifndef _LINUX_CISTPL_H
#define _LINUX_CISTPL_H

#define CISTPL_NULL		0x00
#define CISTPL_DEVICE		0x01
#define CISTPL_VERS_1		0x15
#define CISTPL_CONFIG		0x1a
#define CISTPL_CFTABLE_ENTRY	0x1b
#define CISTPL_VERS_2		0x40
#define CISTPL_FORMAT		0x41
#define CISTPL_END		0xff

#define CISTPL_VERS_1_MAX_PROD_STRINGS	4
#define CISTPL_VERS_1_STRLEN		20
typedef struct cistpl_vers_1_t {
    int major;
    int minor;
    int ns;
    char pi[CISTPL_VERS_1_MAX_PROD_STRINGS][CISTPL_VERS_1_STRLEN];
} cistpl_vers_1_t;

typedef struct cistpl_config {
    u_char last_idx;
    u_long base;
    u_long rmask[4];
} cistpl_config_t;

typedef struct cistpl_cftable_entry_t {
    int index;
} cistpl_cftable_entry_t;

typedef union cisparse_t {
    cistpl_vers_1_t version_1;
    cistpl_config_t config;
    cistpl_cftable_entry_t cfentry;
} cisparse_t;

#ifdef __KERNEL__
int parse_tuple(client_handle_t handle, tuple_t *tuple,
		cisparse_t *parse);
#endif /* __KERNEL__ */

#endif /* LINUX_CISTPL_H */
